"use client";
import { IconButton, Tooltip } from "@mui/material";
import RestartAltIcon from "@mui/icons-material/RestartAlt";

function RefactorTable({ mutate }) {
    const refactor = () => {
        mutate();
    };

    return (
        <Tooltip title="بازنشانی اطلاعات">
            <IconButton onClick={refactor} aria-label="refactor table">
                <RestartAltIcon />
            </IconButton>
        </Tooltip>
    );
}

export default RefactorTable;
